﻿<?php
class NP_PingPong extends NucleusPlugin {
    function getName()  { return 'PingPong'; }
    function getAuthor() { return 'Anand (modified by Tokitake)'; }
    function getURL()     { return 'http://tamizhan.com/plugins-macros.php'; }
    function getVersion() { return '0.12'; }
    function getDescription() {
        return 'This plugin can be used to ping any site.';
    }

    function getEventList() {
        return array('PreAddItem','PostAddItem');
    }

    function event_PreAddItem($data) {
        $this->myBlogId    = $data['blog']->blogid;
        $this->myPostTitle = $data['title'];
    }

    function pingBloGs() {
        $b = new BLOG($this->myBlogId);
			  $message = new xmlrpcmsg('weblogUpdates.ping',array(
					new xmlrpcval($b->getName(),'string'),	
					new xmlrpcval($b->getURL(),'string')
			  ));
			  
			  $c = new xmlrpc_client('/rpc/','ping.bloggers.jp', 80);
	          $r = $c->send($message,15); // 15 seconds timeout...    
    }
 
    function pingBloGs_w() {
        $b = new BLOG($this->myBlogId);
			  $message = new xmlrpcmsg('weblogUpdates.ping',array(
					new xmlrpcval($b->getName(),'string'),	
					new xmlrpcval($b->getURL(),'string')
			  ));
			  
			  $c = new xmlrpc_client('/','ping.myblog.jp', 80);
	          $r = $c->send($message,15); // 15 seconds timeout...    
    }
    
    function pingBlogPeople() {
        $b = new BLOG($this->myBlogId);
			  $message = new xmlrpcmsg('weblogUpdates.ping',array(
					new xmlrpcval($b->getName(),'string'),	
					new xmlrpcval($b->getURL(),'string')
			  ));
			  
			  $c = new xmlrpc_client('/servlet/weblogUpdates','www.blogpeople.net', 80);
	          $r = $c->send($message,15); // 15 seconds timeout...    
    }
    
    function event_PostAddItem($data) {
        $this->pingBloGs();
        $this->pingBloGs_w();
		$this->pingBlogPeople();
    }
}
?> 